Bug 12127 - desktop4: renew default settings - cdrom drive and alsa
: desktop4: renew default settings - cdrom drive and alsa
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xmms)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-06-24 14:51 by
Modified: 2007-11-10 18:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-06-24 14:51:35
стоит обновить:

 - в настройках плагина libaudio (из пакета xmms) поменять устройство cdrom 
с /mnt/cdrom на /media/cdrom (а то глядя в /media - не видно аудиотреков на 
цд, а в /mnt глядеть уже не модно)

 - поставить зависимость по умолчанию на out-alsa, чтобы на alsa был вывод по 
умолчанию (сейчас oss)

 - плагин audiocdreader из пакета xmms-in-cdread неясно что делает, по кр мере 
у меня не показывал дорожки в /media/cdrom если в настройках указать это как 
путь к цд-приводу, а потом и вовсе диалог настроек повис при нажатии add cdrom 
drive..) - может, не собирать его если он дублирует плагин из основного 
пакета?
------- Comment #1 From 2007-06-24 23:17:47 -------
Вообще с CDDA после 1.2.8 или 1.2.9 всё стало плохо, поскольку разломались
cdread и cdparanoia.  Найти за последние пару лет хоть где-то рабочие патчи не
вышло, предложение их сделать за деньги получило ограниченное внимание (кто
смотрел -- не справился).
------- Comment #2 From 2007-08-31 19:28:01 -------
Это три отдельных баги, ну да ладно...

В xmms-1.2.10-alt15 добавлен патчик про /media/cdrom к libaudio и уже давно был
xmms-1.2.10-alt-alsa.patch -- просьба уточнить, есть ли претензии к
автонастройке xmms на alsa при установленном во время первого запуска пакета
xmms-out-alsa.  Это FIXED и WORKSFORME.

xmms-in-cdread не совсем дублирует, IIRC он занимается цифровым чтением и хочет
/dev/cdrom, а не точку монтирования.  Это INVALID.